<div class="main-container" [formGroup]="demoPractiseForm">
  <div class="sub-container">
    <div class="sub-body-container">
      <h2 class="sub-body-title">Demo Practise</h2>
      <div class="form-group">
        <div class="form-row">
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>First Name</mat-label>
              <input
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                matInput
                formControlName="fname"
                length="100"
                alphaOnly
              />
              <mat-error
                *ngIf="form.fname?.errors && form.fname?.errors.required"
                >First name is required</mat-error
              >
              <mat-error
                *ngIf="form.fname?.errors && form.fname?.errors.pattern"
                >Please enter valid first name</mat-error
              >
              <mat-error *ngIf="form.fname?.errors && form.fname?.errors.length"
                >Name can be max 100 characters long</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>Middle Name</mat-label>
              <input
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                matInput
                formControlName="mname"
                length="100"
                alphaOnly
              />
              <mat-error
                *ngIf="form.mname?.errors && form.mname?.errors.required"
                >Middle name is required</mat-error
              >
              <mat-error
                *ngIf="form.mname?.errors && form.mname?.errors.pattern"
                >Please enter valid Middle name</mat-error
              >
              <mat-error *ngIf="form.mname?.errors && form.mname?.errors.length"
                >Name can be max 100 characters long</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>Last Name</mat-label>
              <input
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                matInput
                formControlName="lname"
                length="100"
                alphaOnly
              />
              <mat-error
                *ngIf="form.lname?.errors && form.lname?.errors.required"
                >Last name is required</mat-error
              >
              <mat-error
                *ngIf="form.lname?.errors && form.lname?.errors.pattern"
                >Please enter valid Last name</mat-error
              >
              <mat-error *ngIf="form.lname?.errors && form.lname?.errors.length"
                >Name can be max 100 characters long</mat-error
              >
            </mat-form-field>
          </div>
        </div>

        <div class="form-row">
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>Email</mat-label>
              <input
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                matInput
                formControlName="email"
                length="100"
              />
              <mat-error
                *ngIf="form.email?.errors && form.email?.errors.required"
                >Email is required</mat-error
              >
              <mat-error
                *ngIf="form.email?.errors && form.email?.errors.pattern"
                >Please enter valid Email</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>Mobile No</mat-label>
              <input
                autocomplete="off"
                [errorStateMatcher]="formSubmittedMatcher"
                matInput
                formControlName="mobileno"
                numberOnly
                length="10"
              />
              <mat-error
                *ngIf="form.mobno?.errors && form.mobno?.errors.required"
                >Mobile No is required</mat-error
              >
              <mat-error
                *ngIf="form.mobno?.errors && form.mobno?.errors.pattern"
                >Please enter valid Mobile No</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-col-3">
            <mat-form-field>
              <mat-label>PAN No</mat-label>
              <input
                [errorStateMatcher]="formSubmittedMatcher"
                autocomplete="off"
                matInput
                formControlName="panno"
                alphaNumericOnly
                length="10"
              />
              <mat-error
                *ngIf="form.panno?.errors && form.panno?.errors.required"
                >Pan no is required</mat-error
              >
              <mat-error
                *ngIf="form.panno?.errors && form.panno?.errors.pattern"
                >Please enter valid Pan no</mat-error
              >
            </mat-form-field>
          </div>
        </div>
        <div class="btn-wrap">
          <button
            mat-button
            [disabled]="!demoPractiseForm.valid"
            (click)="next()"
          >
            Continue
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
